<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.4.2) on Mon May 16 15:57:34 EDT 2005 -->
<TITLE>
org.eclipse.wst.server.core.model
</TITLE>

<META NAME="keywords" CONTENT="org.eclipse.wst.server.core.model package">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../../apistyles.css" TITLE="Style">


</HEAD>

<BODY BGCOLOR="white">
<FONT size="+1" CLASS="FrameTitleFont">
<A HREF="../../../../../../org/eclipse/wst/server/core/model/package-summary.html" target="classFrame">org.eclipse.wst.server.core.model</A></FONT>
<TABLE BORDER="0" WIDTH="100%" SUMMARY="">
<TR>
<TD NOWRAP><FONT size="+1" CLASS="FrameHeadingFont">
Interfaces</FONT>&nbsp;
<FONT CLASS="FrameItemFont">
<BR>
<A HREF="IModuleFile.html" title="interface in org.eclipse.wst.server.core.model" target="classFrame"><I>IModuleFile</I></A>
<BR>
<A HREF="IModuleFolder.html" title="interface in org.eclipse.wst.server.core.model" target="classFrame"><I>IModuleFolder</I></A>
<BR>
<A HREF="IModuleResource.html" title="interface in org.eclipse.wst.server.core.model" target="classFrame"><I>IModuleResource</I></A>
<BR>
<A HREF="IModuleResourceDelta.html" title="interface in org.eclipse.wst.server.core.model" target="classFrame"><I>IModuleResourceDelta</I></A>
<BR>
<A HREF="IURLProvider.html" title="interface in org.eclipse.wst.server.core.model" target="classFrame"><I>IURLProvider</I></A>
<BR>
<A HREF="RuntimeLocatorDelegate.IRuntimeSearchListener.html" title="interface in org.eclipse.wst.server.core.model" target="classFrame"><I>RuntimeLocatorDelegate.IRuntimeSearchListener</I></A></FONT></TD>
</TR>
</TABLE>


<TABLE BORDER="0" WIDTH="100%" SUMMARY="">
<TR>
<TD NOWRAP><FONT size="+1" CLASS="FrameHeadingFont">
Classes</FONT>&nbsp;
<FONT CLASS="FrameItemFont">
<BR>
<A HREF="ClientDelegate.html" title="class in org.eclipse.wst.server.core.model" target="classFrame">ClientDelegate</A>
<BR>
<A HREF="LaunchableAdapterDelegate.html" title="class in org.eclipse.wst.server.core.model" target="classFrame">LaunchableAdapterDelegate</A>
<BR>
<A HREF="ModuleArtifactAdapterDelegate.html" title="class in org.eclipse.wst.server.core.model" target="classFrame">ModuleArtifactAdapterDelegate</A>
<BR>
<A HREF="ModuleDelegate.html" title="class in org.eclipse.wst.server.core.model" target="classFrame">ModuleDelegate</A>
<BR>
<A HREF="ModuleFactoryDelegate.html" title="class in org.eclipse.wst.server.core.model" target="classFrame">ModuleFactoryDelegate</A>
<BR>
<A HREF="PublishOperation.html" title="class in org.eclipse.wst.server.core.model" target="classFrame">PublishOperation</A>
<BR>
<A HREF="PublishTaskDelegate.html" title="class in org.eclipse.wst.server.core.model" target="classFrame">PublishTaskDelegate</A>
<BR>
<A HREF="RuntimeDelegate.html" title="class in org.eclipse.wst.server.core.model" target="classFrame">RuntimeDelegate</A>
<BR>
<A HREF="RuntimeLocatorDelegate.html" title="class in org.eclipse.wst.server.core.model" target="classFrame">RuntimeLocatorDelegate</A>
<BR>
<A HREF="RuntimeTargetHandlerDelegate.html" title="class in org.eclipse.wst.server.core.model" target="classFrame">RuntimeTargetHandlerDelegate</A>
<BR>
<A HREF="ServerBehaviourDelegate.html" title="class in org.eclipse.wst.server.core.model" target="classFrame">ServerBehaviourDelegate</A>
<BR>
<A HREF="ServerDelegate.html" title="class in org.eclipse.wst.server.core.model" target="classFrame">ServerDelegate</A></FONT></TD>
</TR>
</TABLE>


</BODY>
</HTML>
